summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/makepkg.sh.in5
1 files changed, 1 insertions, 4 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index f46b7f81..e2e3de68 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1630,10 +1630,7 @@ if [ "$(type -t package)" = "function" ]; then
fi
# check the PKGBUILD for some basic requirements
-check_sanity || insane=1
-if [ $insane -eq 1 ]; then
- exit 1
-fi
+check_sanity || exit 1
# We need to run devel_update regardless of whether we are in the fakeroot
# build process so that if the user runs makepkg --forcever manually, we